.wunderly-features {
    padding: 6rem 0;
    background: #f5f6f8;
}

.wf-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-auto-rows: 220px;
    gap: 1.5rem;
}

/* Base card */

.wf-card {
    border-radius: 28px;
    padding: 1rem;
    background: var(--color-white);
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    overflow: hidden;
}

.wf-small {
    font-size: 0.8rem;
    opacity: 0.6;
}

.wf-split {
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    gap: 1rem;
}

.wf-card-content{
    width: 40%;
}

.wf-card-media{
    width: 60%;
    height: 100%;
}

.wf-card-media img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 18px;
}

/* Specific layouts */

.wf-privacy {
    grid-column: span 2;
    background: linear-gradient(135deg, #062f3c, #0c4a5a);
    color: var(--color-white);
}

.wf-offline {
    grid-row: span 2;
    background: url('https://images.pexels.com/photos/10070913/pexels-photo-10070913.jpeg') center/cover no-repeat;
    color: var(--color-white);
}

.wf-memories{
    background: url('https://images.pexels.com/photos/3024996/pexels-photo-3024996.jpeg') center/cover no-repeat;
    color: var(--color-white);
}

.wf-overlay{
    background: rgba(0,0,0,0.4);
    position: absolute;
    inset: 0;
    padding: 2rem;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
}

.wf-featured{
    grid-row: span 2;
    background: url('https://images.pexels.com/photos/1051075/pexels-photo-1051075.jpeg') center/cover no-repeat;
    color: var(--color-white);
}

.wf-featured h4 {
    margin: 0.5rem 0;
}

.wf-made {
    background: url('https://images.pexels.com/photos/15974849/pexels-photo-15974849.jpeg') center/cover no-repeat;
    color: var(--color-white);
}

.wf-adfree {
    background: #D30D38;
    text-align: center;
    color: var(--color-white);
}


@media (max-width: 992px) {

    .wf-grid {
        grid-template-columns: 1fr;
        grid-auto-rows: 130px;
    }

    .wf-card {
        grid-column: auto !important;
        grid-row: auto !important;
        height: 130px;
        padding: 2rem;
    }

    .wf-privacy {
        background: url('https://images.pexels.com/photos/10070913/pexels-photo-10070913.jpeg') center/cover no-repeat;
        color: var(--color-white);
    }

    .wf-split {
        flex-direction: column;
        justify-content: start;
    }

    .wf-card-content {
        width: 100%;
    }

    .wf-card-content,
    .wf-adfree {
        text-align: left;
    }

    .wf-free {
        align-items: start;
        justify-content: start;
    }

}